Find file
Fetching contributors…
Cannot retrieve contributors at this time
181 lines (160 sloc) 12.9 KB
<?xml version="1.0" encoding="UTF-8" standalone="no"?><?pde version="3.6"?><target includeMode="feature" name="jbtcentral-4.60.0.Final-SNAPSHOT">
<!-- Pro tip: paste content from generated Apache directory index, then match
\[ ] (.+)_(.+).jar.+
replace with
<unit id="\1.feature.group" version="\2"/>
-->
<locations>
<location includeAllPlatforms="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
<repository location="http://download.jboss.org/jbosstools/updates/requirements/neon/201606082315-RC4/"/>
<!-- mylyn + mylyn accessories (which are not in the JBT or JBDS target platform) -->
<unit id="org.eclipse.egit.mylyn.feature.group" version="4.4.0.201606070830-r"/>
<unit id="org.eclipse.mylyn.builds.feature.group" version="1.12.0.v20160421-2142"/>
<unit id="org.eclipse.mylyn.commons.repositories.http.feature.group" version="1.12.0.v20160421-1819"/>
<unit id="org.eclipse.mylyn.context_feature.feature.group" version="3.20.0.v20160608-1905"/>
<unit id="org.eclipse.mylyn.github.feature.feature.group" version="4.4.0.201606070830-r"/>
<unit id="org.eclipse.mylyn.git.feature.group" version="1.12.0.v20160421-1824"/>
<unit id="org.eclipse.mylyn.hudson.feature.group" version="1.12.0.v20160524-1837"/>
<unit id="org.eclipse.mylyn.ide_feature.feature.group" version="3.20.0.v20160421-1902"/>
<unit id="org.eclipse.mylyn.java_feature.feature.group" version="3.20.0.v20160421-1902"/>
<unit id="org.eclipse.mylyn.pde_feature.feature.group" version="3.20.0.v20160421-1902"/>
<unit id="org.eclipse.mylyn.resources.ui" version="3.20.0.v20160421-1902"/>
<unit id="org.eclipse.mylyn.tasks.ide.feature.group" version="3.20.0.v20160425-1835"/>
<unit id="org.eclipse.mylyn.team_feature.feature.group" version="3.20.0.v20160421-1902"/>
<unit id="org.eclipse.mylyn.versions.feature.group" version="1.12.0.v20160421-1824"/>
<!-- required for SpringIDE 3.7 (see below) -->
<unit id="org.eclipse.osgi" version="3.11.0.v20160603-1336"/>
<unit id="org.apache.batik.util" version="1.6.0.v201011041432"/>
<unit id="org.apache.batik.util.gui" version="1.6.0.v201011041432"/>
<unit id="org.eclipse.equinox.http.registry" version="1.1.400.v20150715-1528"/>
<unit id="org.eclipse.zest.feature.group" version="1.7.0.201606061308"/>
<unit id="org.eclipse.mylyn.java.ui" version="3.20.0.v20160421-1902"/>
</location>
<!-- m2e extensions (that are not already in core TP) -->
<location includeAllPlatforms="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
<repository location="http://download.jboss.org/jbosstools/updates/m2e-extensions/m2e-wro4j/1.1.0-2014-06-25_06-16-31-H26/"/>
<unit id="org.jboss.tools.m2e.wro4j.feature.feature.group" version="1.1.0.201406251020"/>
</location>
<!-- new to JBT 4.1.0 / JBDS 7 -->
<location includeAllPlatforms="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
<repository location="http://download.jboss.org/jbosstools/updates/requirements/atlassian/3.2.5.v20150427/"/>
<unit id="com.atlassian.connector.commons.feature.group" version="3.2.5.v20150427"/>
<unit id="com.atlassian.connector.eclipse.bamboo.feature.group" version="3.2.5.v20150427"/>
<unit id="com.atlassian.connector.eclipse.commons.feature.group" version="3.2.5.v20150427"/>
<unit id="com.atlassian.connector.eclipse.directclickthrough.feature.group" version="3.2.5.v20150427"/>
<unit id="com.atlassian.connector.eclipse.jira.feature.group" version="3.2.5.v20150427"/>
<unit id="com.atlassian.connector.eclipse.monitor.feature.group" version="3.2.5.v20150427"/>
<unit id="com.atlassian.connector.eclipse.feature.group" version="3.2.5.v20150427"/>
</location>
<!-- needed by Atlassian 3.2.2.v20130909; not yet in Luna (see https://bugs.eclipse.org/bugs/show_bug.cgi?id=430816) -->
<location includeAllPlatforms="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
<repository location="http://download.jboss.org/jbosstools/updates/requirements/mylyn/3.11.0-v20140314-2044/"/>
<unit id="org.eclipse.mylyn.commons.soap_feature.feature.group" version="3.11.0.v20131219-1119"/>
</location>
<location includeAllPlatforms="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
<repository location="http://download.jboss.org/jbosstools/updates/requirements/orbit/R20160520211859/"/>
<!-- Atlassian (com.atlassian.connector.*) dependencies -->
<unit id="javax.xml.soap" version="1.3.0.v201105210645"/>
<unit id="javax.activation" version="1.1.0.v201211130549"/>
<unit id="org.apache.commons.logging" version="1.1.1.v201101211721"/>
<unit id="org.apache.commons.io" version="2.0.1.v201105210651"/>
<unit id="org.apache.commons.codec" version="1.6.0.v201305230611"/>
<unit id="org.apache.commons.httpclient" version="3.1.0.v201012070820"/>
<!-- Orbit bundles needed for Eclipse Checkstyle (eclipse-cs) -->
<unit id="org.apache.lucene.highlighter" version="3.5.0.v20121015-1317"/>
<unit id="org.apache.lucene.core" version="3.5.0.v20120725-1805"/>
<unit id="org.apache.lucene.memory" version="3.5.0.v20120725-1805"/>
<unit id="org.apache.lucene.misc" version="3.5.0.v20120725-1805"/>
<unit id="org.apache.lucene.queries" version="3.5.0.v20120725-1805"/>
<unit id="org.apache.lucene.spellchecker" version="3.5.0.v20120725-1805"/>
<!-- Orbit bundles needed for Mylyn/Bugzilla -->
<unit id="org.apache.xmlrpc" version="3.0.0.v20100427-1100"/>
<unit id="org.apache.ws.commons.util" version="1.0.1.v20100518-1140"/>
</location>
<location includeAllPlatforms="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
<repository location="http://download.jboss.org/jbosstools/updates/requirements/orbit/R20151118145958/"/>
<!-- Required for CheckStyle, not in recent Orbit -->
<unit id="org.apache.lucene.snowball" version="2.9.1.v20100421-0704"/>
</location>
<location includeAllPlatforms="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
<repository location="http://download.jboss.org/jbosstools/updates/requirements/eclipsecs/6.5.0.201504121610/"/>
<unit id="com.github.sevntu.checkstyle.checks.feature.feature.group" version="1.13.5"/>
<unit id="net.sf.eclipsecs.feature.group" version="6.5.0.201504121610"/>
</location>
<location includeAllPlatforms="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
<repository location="http://download.jboss.org/jbosstools/updates/requirements/pmd/4.0.7.v20150522-1709/"/>
<unit id="net.sourceforge.pmd.eclipse.feature.group" version="4.0.7.v20150522-1709"/>
</location>
<!-- required for SpringIDE 3.7 (see also above) -->
<location includeAllPlatforms="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
<repository location="http://download.jboss.org/jbosstools/updates/requirements/springide/3.7.3.201602250914-RELEASE/"/>
<!-- Features to include in Central connector -->
<unit id="org.springframework.ide.eclipse.ajdt.feature.feature.group" version="3.7.3.201602250914-RELEASE"/>
<!-- AJDT requirements -->
<unit id="org.aspectj.feature.group" version="1.8.9.201602092019"/>
<unit id="org.eclipse.ajdt.feature.group" version="2.2.4.201602092019"/>
<unit id="org.eclipse.contribution.weaving.feature.group" version="2.2.4.201602092019"/>
<unit id="org.eclipse.contribution.xref.feature.group" version="2.2.4.201602092019"/>
<unit id="org.springframework.ide.eclipse.aop.feature.feature.group" version="3.7.3.201602250914-RELEASE"/>
<unit id="org.springframework.ide.eclipse.autowire.feature.feature.group" version="3.7.3.201602250914-RELEASE"/>
<unit id="org.springframework.ide.eclipse.batch.feature.feature.group" version="3.7.3.201602250914-RELEASE"/>
<unit id="org.springframework.ide.eclipse.data.feature.feature.group" version="3.7.3.201602250914-RELEASE"/>
<unit id="org.springframework.ide.eclipse.feature.feature.group" version="3.7.3.201602250914-RELEASE"/>
<unit id="org.springframework.ide.eclipse.integration.feature.feature.group" version="3.7.3.201602250914-RELEASE"/>
<unit id="org.springframework.ide.eclipse.maven.feature.feature.group" version="3.7.3.201602250914-RELEASE"/>
<unit id="org.springframework.ide.eclipse.mylyn.feature.feature.group" version="3.7.3.201602250914-RELEASE"/>
<unit id="org.springframework.ide.eclipse.osgi.feature.feature.group" version="3.7.3.201602250914-RELEASE"/>
<unit id="org.springframework.ide.eclipse.security.feature.feature.group" version="3.7.3.201602250914-RELEASE"/>
<unit id="org.springframework.ide.eclipse.webflow.feature.feature.group" version="3.7.3.201602250914-RELEASE"/>
<unit id="org.springsource.ide.eclipse.commons.feature.group" version="3.7.3.201602250752-RELEASE"/>
<!-- Plugins to include to avoid console warnings after installation -->
<unit id="org.springframework.ide.eclipse.config.ui" version="3.7.3.201602250914-RELEASE"/>
<unit id="org.springframework.ide.eclipse.maven" version="3.7.3.201602250914-RELEASE"/>
<unit id="org.springframework.ide.eclipse.wizard" version="3.7.3.201602250914-RELEASE"/>
<!-- Required 3rd party plugins (on SpringIDE or Orbit site) not properly referenced by features -->
<unit id="javax.jms" version="1.1.0.v201205091237"/>
<unit id="javax.validation" version="1.0.0.GA_v201205091237"/>
<unit id="org.aopalliance" version="1.0.0.v201105210816"/>
<unit id="org.apache.commons.codec" version="1.6.0.v201305230611"/>
<unit id="org.apache.httpcomponents.httpclient" version="4.3.6.v201511171540"/>
<unit id="org.apache.httpcomponents.httpcore" version="4.3.3.v201411290715"/>
<unit id="org.aspectj.runtime" version="1.8.9.201602092019"/>
<unit id="org.aspectj.weaver" version="1.8.9.201602092019"/>
<unit id="org.codehaus.jackson.core" version="1.6.0.v20101005-0925"/>
<unit id="org.codehaus.jackson.mapper" version="1.6.0.v20101005-0925"/>
<unit id="org.json" version="1.0.0.v201011060100"/>
<!-- JBIDE-21377 YAML Editor moved to JBT/JBDS TP
<unit id="org.dadacoalition.yedit" version="1.0.18.201506232135-RELEASE-SIGNED"/>
<unit id="org.yaml.snakeyaml" version="1.14.0.v201505061500"/> -->
<unit id="com.google.protobuf" version="2.4.0.v201105131100"/>
<!-- Optional bundles included to avoid console warnings after installation -->
<unit id="org.springsource.ide.eclipse.dashboard.ui" version="3.7.3.201602250752-RELEASE"/>
<unit id="org.eclipse.equinox.weaving.sdk.feature.group" version="1.2.0.201602092019"/>
<unit id="org.eclipse.equinox.weaving.hook" version="1.1.200.v20150730-1648"/>
</location>
<location includeAllPlatforms="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
<repository location="http://download.jboss.org/jbosstools/updates/requirements/subclipse/1.10.9_1.8.10.r10446_v20150526_1454/"/>
<unit id="com.collabnet.subversion.merge.feature.feature.group" version="4.1.0"/>
<unit id="net.java.dev.jna.feature.group" version="4.1.0.v20140626_1915"/>
<unit id="org.tigris.subversion.clientadapter.feature.feature.group" version="1.10.3"/>
<unit id="org.tigris.subversion.clientadapter.javahl.feature.feature.group" version="1.8.13"/>
<unit id="org.tigris.subversion.clientadapter.svnkit.feature.feature.group" version="1.8.9"/>
<unit id="org.tigris.subversion.subclipse.graph.feature.feature.group" version="1.1.1"/>
<unit id="org.tigris.subversion.subclipse.mylyn.feature.group" version="3.0.0"/>
<unit id="org.tigris.subversion.subclipse.feature.group" version="1.10.9"/>
<unit id="org.tmatesoft.svnkit.feature.group" version="1.8.10.r10446_v20150526_1454"/>
</location>
<!-- TODO TestNG is also part of JBDS TP and delivery. So if you need to updated TestNG here, you most likely want to also
update it in JBDS TP as well -->
<location includeAllPlatforms="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
<repository location="http://download.jboss.org/jbosstools/updates/requirements/testng/6.9.5.201506120235/"/>
<unit id="org.testng.eclipse.feature.group" version="6.9.5.201506120235"/>
</location>
<!-- unchanged since JBT 4.0.0 / JBDS 6 -->
<location includeAllPlatforms="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
<repository location="http://download.jboss.org/jbosstools/updates/requirements/findbugs/3.0.1.20150306-5afe4d1/"/>
<unit id="edu.umd.cs.findbugs.plugin.eclipse.feature.group" version="3.0.1.20150306-5afe4d1"/>
</location>
</locations>
<targetJRE path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
</target>